<?php

namespace App\Exports;

use App\Models\DivisionModel;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithEvents;
use Illuminate\Support\Facades\Session;
use Maatwebsite\Excel\Events\AfterSheet;
use Illuminate\Support\Facades\DB;
use App\Models\VehicleTrakingReportModel;

class DateWisePresentAbsentExport implements FromArray,WithHeadings,ShouldAutoSize,WithEvents
{
    protected $data;
    protected $headings;
    protected $columnWidth = [];
    protected $rowHeight = [];
    protected $mergeCells = [];
    protected $font = [];
    protected $fontSize = [];
    protected $bold = [];
    protected $background = []; 
    protected $vertical = []; 
    protected $sheetName;
    protected $borders = [];

    /**
    * @return \Illuminate\Support\Collection
    */
    public function array(): array
    {
        $aData = array();
        $aData['division_id']     = Session::has('division_id') ? Session::get('division_id') : 0;
        $aData['vehicle_type_id'] = Session::has('vehicle_type_id') ? Session::get('vehicle_type_id') : 0;
        $aData['start_date']      = Session::has('start_date') ? Session::get('start_date') : date('d-m-Y',strtotime('-30 days'));
        $aData['end_date']        = Session::has('end_date') ? Session::get('end_date') : date('d-m-Y',strtotime('now'));
    
		$aData['vehicleWeightData'] = VehicleTrakingReportModel::get_datewise_present_absent($aData);
        if( $aData['vehicleWeightData']){
            foreach($aData['vehicleWeightData'] as $key=>$aValue){ 
                $absent = $aValue['total'] - $aValue['present'];
                $aData['excel'][] = array(
                    'date' => date('d-m-Y',strtotime($key)),
                    'present' => $aValue['present'] ? $aValue['present'] : "0",
                    'absent' => $absent ? $absent : "0",
                    'total' => $aValue['total'] ? $aValue['total'] : "0"
                ); 
            }
        }else{
            $aData['excel'][] = array(
            );     
        }
        return $aData['excel'];
    }

    public function headings(): array
    {   
        $aData['division_id']     = Session::has('division_id') ? Session::get('division_id') : 0;
        $aData['vehicle_type_id'] = Session::has('vehicle_type_id') ? Session::get('vehicle_type_id') : 0;
        $aData['start_date']      = Session::has('start_date') ? Session::get('start_date') : date('d-m-Y',strtotime('-30 days'));
        $aData['end_date']        = Session::has('end_date') ? Session::get('end_date') : date('d-m-Y',strtotime('now'));
    
        $division_name = "-";
        if($aData['division_id'] != 0){
            $div = DivisionModel::where('id', $aData['division_id'])->get('division_name');
                foreach($div as $val){
                    $division_name = $val->division_name;
                }
        }
        // $vehicle_types = "-";
        // if($aData['vehicle_type_id'] != 0){
        //         $vehicle = DB::table('vehicle_types')->where('id',  $aData['vehicle_type_id'])->get('type'); 
        //         foreach($vehicle as $val){
        //                 $vehicle_types = $val->type;
        //         }
        // }
               
        return [
                ['Report Name: Date-wise Present and Absent Vehicle Report.'],
                ['Division Name : '. $division_name ],
                ['Start Date : '.$aData['start_date'] ],
                ['End Date : '.$aData['end_date'] ],
                [],
                [ 
                    'Date ',
                    'Present ',
                    'Absent ',
                    'Total '                   
                ]
        ];
    }

      /**
     * @return string
     */
    public function registerEvents(): array
    {
        return [
            AfterSheet::class => function(AfterSheet $event) {
                $event->sheet->getDelegate()->getStyle('A1:Z1265')->getAlignment()->setHorizontal('left');

                $event->sheet->mergeCells('A1:D1');
                $event->sheet->mergeCells('A2:D2');
                $event->sheet->mergeCells('A3:D3');
                $event->sheet->mergeCells('A4:D4');
                $event->sheet->mergeCells('A5:D5');
               // $event->sheet->mergeCells('A6:D6');

                $event->sheet->getDelegate()->getRowDimension('1')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('2')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('3')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('4')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('5')->setRowHeight(25);
                //$event->sheet->getDelegate()->getRowDimension('7')->setRowHeight(25);

                $event->sheet->getStyle('A1:Z6')->applyFromArray([
                    'font'=>[
                            'bold'=>true,
                    ]
                ]);
            },
        ];
    }
  
}

