<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Libraries\Authenticate;
use File;

class AttendanceappController extends Controller
{
    private function validate_request($request){
		if(empty($request->header('Authorization'))){
             $resp['code'] = 401;
             $resp['message'] = 'Authorization missing';
            return $resp;
		}
        $Auth = new Authenticate();
		return $Auth->authenticate_token($request->header('Authorization'));
	}
	
	function update_version_get(Request $request){
        
        $folder_path = base_path('public/update_version_app/');
    	$update_version_file = $folder_path .'version_update.json';  
    	
        if(file_exists($update_version_file)){
        //	echo 'test'; die;
            $handle = fopen($update_version_file, "r");
            $version_data = fgets($handle);
            fclose($handle);
			$ResponseData = $version_data;
            $ResposneCode = 200;
			$response =  json_decode($ResponseData);
            
            return response()->json($response, $ResposneCode);
        }
    }

    public function login(Request $request){
        $aPost = $request->all();
        
        DB::insert('INSERT INTO log (post_data,created) VALUES (?,NOW())',array(json_encode($request->all() )) );
        $ResponseData = [];
        $ResposneCode = 200;
        $empty = false;
        $message = 'Success';
        $field = '';
        
        if(empty($aPost['token'])){
            if(empty($aPost['username'])){
                $empty = true;
                $field = 'Username';
            }
            if(empty($aPost['password'])){
                $empty = true;
                $field = 'Password';
            }
            
            if(empty($aPost['device_id'])){
                $empty = true;
                $field = 'Device Id';
            }
            //$device_id = 1234;
            // $device_id = $aPost['device_id'];
            // echo $device_id; die;
        }
        
       
        if(!$empty){
            if(empty($aPost['token'])){
               // echo '<pre>';print_r($aPost['token']);die;
                $Supervisor = DB::select('select id,Pakage_id,active FROM supervisor_masters WHERE user_name = ? AND password = ?',[$aPost['username'],md5($aPost['password'])]);
                //echo '<pre>';print_r($Supervisor);die;
                if(!empty($Supervisor)){
                    if($Supervisor[0]->active){
                        $aToken['ID'] = $Supervisor[0]->id;
                        $aToken['Pakage'] = $Supervisor[0]->Pakage_id;
                        
                        //-----------to check device id in Supervisor
                        
                             $sSQL = 'select device_id FROM supervisor_device_details WHERE supervisor_id = '.$Supervisor[0]->id.' ';
                             $sSQL .= 'AND device_id ='.'"'. $aPost['device_id'].'"'; 
                            //echo $sSQL; die;
                            $rResult = DB::select( DB::raw($sSQL));
                            if(!empty($rResult)){
                                $Auth = new Authenticate();
                                $ResponseData['token'] = $Auth->create_token($aToken);
                                $ResponseData['user_name'] = $aPost['username'];
                                $ResposneCode = 200; 
                            }else{
                                $ResposneCode = 403;
                                $message = 'Device Id Not Found! Please Contact Your Admin';
                            }
                        
                    }else{
                        $ResposneCode = 400;
                        $message = 'Account deactivated';
                    }
                    
                }else{
                    $ResposneCode = 400;
                    $message = 'Invalid login details';
                }
            }else{
                $Auth = new Authenticate();
                $aToken = $Auth->decode_token('Bearer '.$aPost['token']);
                //echo '<pre>here';print_r($aToken);
                if(!empty($aToken->ID) && !empty($aToken->Pakage)  && !empty($aToken->start_time)  && !empty($aToken->end_time) ){
                    if(strtotime('-2 days') < $aToken->end_time){
                        $Supervisor = DB::select('select user_name,Pakage_id,active FROM supervisor_masters WHERE id = ?',[$aToken->ID]);
                        if(!empty($Supervisor)){
                            if($Supervisor[0]->active){
                                $aTokenNew['ID'] = $aToken->ID;
                                $aTokenNew['Pakage'] = $Supervisor[0]->Pakage_id;
                        
                                
                                $Auth = new Authenticate();
                                $ResponseData['token'] = $Auth->create_token($aTokenNew);
                                $ResponseData['user_name'] = $Supervisor[0]->user_name;
                                $ResposneCode = 200; 
                            }else{
                                $ResposneCode = 400;
                                $message = 'Account deactivated';
                            }
                        }else{
                            $ResposneCode = 400;
                            $message = 'Invalid login details';
                        }
                    }else{
                        $ResposneCode = 400;
                        $message = 'Please login again';
                    }
                    
                }
                
            }   
        }else{
            $ResposneCode = 400;
            $message = $field.' is empty';
        }
        $response = [
            'data'    => $ResponseData,
            'message' => $message
        ];

        return response()->json($response, $ResposneCode);
    } 

    public function update_attendance(Request $request){
        $ResponseData = [];
        $ResposneCode = 200;
        $empty = false;
        $message = 'Success';
        $field = '';

		$aToken = $this->validate_request($request);
        //echo '<pre>';print_r($aToken);die();
        if($aToken['code'] == 200){
            $aPost = $request->all();
            DB::insert('INSERT INTO log (post_data,created) VALUES (?,NOW())',array(json_encode($aPost)) );

            if(empty($aPost['employee_id'])){
                $empty = true;
                $field = 'employee id';
            }
            if(empty($aPost['location'])){
                $empty = true;
                $field = 'location';
            }
            if(empty($aPost['latitude'])){
                $empty = true;
                $field = 'Latitude';
            }
            if(empty($aPost['longitude'])){
                $empty = true;
                $field = 'Longitude';
            }
            if(empty($aPost['app_version'])){
                $empty = true;
                $field = 'App version';
            }
            if (!$request->hasFile('photo')) {
                $empty = true;
                $field = 'Photo';
                
            }
        
        if(!$empty){

        //-------- to check emp active/ deactive --------------------
            $sel_sql = 'select bu.id,bu.is_active,bu.Pakage_id,(SELECT COUNT(id) FROM biometric_image WHERE user_id=bu.id) as img_count from biometric_users bu where emp_id = "'.$aPost['employee_id'].'"'; 
            $aUser = DB::select( DB::raw($sel_sql));
            
            if(!empty($aUser)) 
            {
                if($aUser[0]->is_active){
                    $time = strtotime('now');
                    $sDate = date('Y-m-d',strtotime('now'));
                    // if(date('H',$time) >= 20){
                    //     $sDate = date('Y-m-d',strtotime('+1 day'));
                    // }
                    if(date('H',$time) <= 4){
                        $sDate = date('Y-m-d',strtotime('-1 day'));
                    }
                    $iCurrentDay = strtotime("$sDate 00:00:00");
                    $iAttDate = strtotime('now');
                    $imagefile = '';
                    $request->input();
                        
                    //$folder_path = public_path('/attendance');
                    $destinationPath = public_path('/attendance/').date('Ymd',strtotime('now')).'/';
                    //echo $destinationPath; die;
                    if(!is_dir($destinationPath)){
                            mkdir($destinationPath, 0777, true);
                    } 
                    
                    $image = $request->file('photo');
                    $imagefile = time().'_'.$aUser[0]->id.'.'.$image->getClientOriginalExtension();
                    //echo 'upload:'.$image->move($destinationPath, $imagefile);
                    $image->move($destinationPath, $imagefile);
                             
                    if($aUser[0]->Pakage_id == $aToken['data']->Pakage){
                        //if attendance with monring 5 to 9 then first need to check if it is out for previous day so if out for previous day is missing and in time 
                        //is not more than 12 hours then it is out of last day
                        if(date('H',$time) >5 && date('H',$time) < 9){
                            $oldiCurrentDay = $iCurrentDay;
                            $sDate = date('Y-m-d',strtotime('-1 day'));
                            $iCurrentDay = strtotime("$sDate 00:00:00");
                            $Attendance = DB::select('SELECT id,inward_datetime,outword_datetime FROM users_attendance WHERE user_id=? AND attendance_date=?',[$aUser[0]->id,$iCurrentDay]);
                            if(!empty($Attendance) && empty($Attendance[0]->outword_datetime) && ((strtotime('now') - $Attendance[0]->inward_datetime) < 12*60*60) ){

                            }else{
                                $iCurrentDay = $oldiCurrentDay;
                                $Attendance = DB::select('SELECT id FROM users_attendance WHERE user_id=? AND attendance_date=?',[$aUser[0]->id,$iCurrentDay]);
                            }
                        }else{
                            $Attendance = DB::select('SELECT id FROM users_attendance WHERE user_id=? AND attendance_date=?',[$aUser[0]->id,$iCurrentDay]);
                        }
                        $id = DB::table('user_attendance_history')-> insertGetId(array(
                            'emp_id' => $aUser[0]->id,
                            'attendance_date' => $iCurrentDay,
                            'location' => $aPost['location'],
                            'latitude' => $aPost['latitude'],
                            'longitude' => $aPost['longitude'],
                            'created' => $iAttDate,
                            'image_url' => $imagefile,
                            'app_version' => $aPost['app_version'], 
                        ));


                        //$Attendance = DB::select('SELECT id FROM users_attendance WHERE user_id=? AND attendance_date=?',[$aUser[0]->id,$iCurrentDay]);
                        if(!empty($Attendance)){
                            DB::table('users_attendance')
                            ->where('id', $Attendance[0]->id)  // find your user by their email
                            ->limit(1)  // optional - to ensure only one record is updated.
                            ->update(array('outword_datetime' => $iAttDate, 'outword_success_id'=>$id,'success'=>1 ));  // update the record in the DB. 
                        }else{
                            DB::table('users_attendance')-> insert(array(
                                'user_id' => $aUser[0]->id,
                                'Pakage_id' => $aToken['data']->Pakage,
                                'attendance_date' => $iCurrentDay,
                                'inward_datetime' => $iAttDate,
                                'outword_datetime' => 0,
                                'inward_success_id' => $id,
                                'outword_success_id' => 0,
                                'success' => 0,
                                'flag' => 0, 
                                'created_date' => $iAttDate, 
                                'supervisor_id' => $aToken['data']->ID, 
                            ));

                            if(!$aUser[0]->img_count){
                                $source = $destinationPath.'/'.$imagefile;
                                $destination = public_path('/uploads/employee_images/').$imagefile;
                                File::copy($source, $destination);
                                $sql = 'INSERT INTO biometric_image(user_id,image_url,image_title,valid_image,updated_date) VALUES(?,?,?,?,?)';
                                DB::insert($sql,[$aUser[0]->id,$imagefile,$imagefile,1,strtotime('now')]);
                            }
                        }
                        $message = 'attendance updated successfully';
                    }else{
                        $ResposneCode = 400;
                        $message = 'Employee doesnt belong to your Pakage';
                    }
                }else{
                    $ResposneCode = 412;
                    $message = 'Employee is deactivated';
                }
            }else{
                $ResposneCode = 400;
                $message = 'Invalid employee id';
            }
        }else{
            $ResposneCode = 400;
            $message = $field.' is empty';
        }
    }else{
        $ResposneCode = $aToken['code'];
        $message = $aToken['message'];
    }
        
        $response = [
            'data'    => $ResponseData,
            'message' => $message
        ];

        return response()->json($response, $ResposneCode);
    }
    
    public function check_attendance(Request $request){
            $ResponseData = [];
            $ResposneCode = 200;
            $empty = false;
            $message = 'Success';
            $field = '';
            date_default_timezone_set('Asia/Kolkata');
            
    		$aToken = $this->validate_request($request);
            if($aToken['code'] == 200){
             
                $supervisor_id = $aToken['data']->ID;
                $Pakage_id   = $aToken['data']->Pakage;
                // echo $aToken['data']->ID; die;
                $current_date = date('Ymd');
                
                if(date('H',strtotime('now')) >= 20){
                    $current_date = date('Ymd',strtotime('+1 day'));
                }
                $loc_date_time = strtotime($current_date);
                $all_data = array();
        		$sSQL = 'select ua.id,(select emp_id from biometric_users where id = ua.user_id) as emp_id,(select CONCAT(`firstname`,\' \',`lastname`) as name from biometric_users where id = ua.user_id) as employee_name,ua.inward_datetime,ua.outword_datetime FROM users_attendance ua WHERE ua.attendance_date = '.$loc_date_time.' ';
        
        		if(!empty($Pakage_id)){
        			$sSQL .= ' and ua.Pakage_id='.$Pakage_id;	
        		}
        		if(!empty($supervisor_id)){
        			$sSQL .= ' and ua.supervisor_id='.$supervisor_id;	
        		}
        		//echo $sSQL; die;
        		
        		$rResult = DB::select( DB::raw($sSQL));
        		 //print_r($rResult); die; 
        		foreach($rResult as $aRes){
		    
        		    $loc_imward_time = date('h:i A',$aRes->inward_datetime);
        		    $aRes->in_time  = $loc_imward_time;
        		    if(!empty($aRes->outword_datetime)){
        		      $loc_outword_time = date('h:i A',$aRes->outword_datetime);
        		      $aRes->out_time  = $loc_outword_time;    
        		    }else{
        		        $aRes->out_time  = '-';
        		    }
        		    
        			$all_data[] = $aRes;
        		}
               // print_r($all_data); die;     
             
                $ResponseData = $all_data;
            }else{
                $ResposneCode = $aToken['code'];
                $message = $aToken['message'];
            }
        
        $response = [
            'data'    => $ResponseData,
            'message' => $message
        ];

        return response()->json($response, $ResposneCode);
    }
    
}
//[{"id":"0","rfid":"00001B58","timestamp":"1656506110","current_day":"20220629","loaded_weight":"03500","unloaded_weight":"03600","out_timestamp":"1656506125","net_weight":"100","vehicle_number":""}]