<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\RouteModel;
use App\Models\VehicleModel;
use App\Models\WardModel;
use App\Models\HomeModel;
use App\Libraries\Mysecurity;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\DB;


class DashboardController extends Controller
{   
    public function __construct()
    {
        $module_link = request()->segments(0);
        if(isset($module_link[0])){
            $module_link = $module_link[0];
            $this->mysecurity = new Mysecurity();
            $this->module_id = $this->mysecurity->get_module_id_by_name($module_link);
            $this->middleware(function ($request, $next){
                $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
        
                return $next($request);
            });
        }
    }

    public function clear_search(){
        session::forget('Pakage_id');
        session::forget('ward_id');
        session::forget('vehicle_id');
        session::forget('vehicle_type');
        return redirect()->route('home.search');
    }

    public function index(Request $request)
    {   
     //   die('here');
      $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
    }

    public function get_markers(Request $request){
       $aSearch = array();
       $aSearch['Pakage_id']      = session::has('Pakage_id') ? session::get('Pakage_id') : 0;
       //dd($aSearch['Pakage_id']);
       $aSearch['ward_id']          = session::has('ward_id') ? session::get('ward_id') : 0;
       $aSearch['vehicle_id']       = session::has('vehicle_id') ? session::get('vehicle_id') : 0;
       $aSearch['vehicle_type_id']  = session::has('vehicle_type') ? session::get('vehicle_type') : 0;

       $aLocations = RouteModel::get_latest_locations($aSearch);
       //dd($aLocations);
       echo json_encode($aLocations);
    }

    public function get_prabhag_boundray(Request $request){
        $aSearch = array();
        $aSearch['ward_id']          = session::has('ward_id') ? session::get('ward_id') : 0;
        //print_r($aSearch['ward_id']); die;
        $aBoundray = RouteModel::get_prabhag_boundray($aSearch);
        echo json_encode($aBoundray);
    }

    public function user_dashboard_details(Request $request){
        $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
       // dd('ssas');
        $aData['total_vehicle'] = HomeModel::get_total_vehicle();
        $aData['total_present_vehicle'] = HomeModel::get_present_vehicle();

        if(!empty($aData['total_present_vehicle']['present_vehicle'])){
            $aData['total_absent_vehicle'] = $aData['total_vehicle']['total_vehicles'] - $aData['total_present_vehicle']['present_vehicle'];   
        }else{
            $aData['total_absent_vehicle'] = $aData['total_vehicle']['total_vehicles'] - 0;
        }

        //------------------
        $aData['total_employee'] = HomeModel::get_total_employee();
        $aData['present_employee'] = HomeModel::get_present_in_employee(1);
        $aData['in_employee'] = HomeModel::get_present_in_employee(0);

        if(!empty($aData['present_employee'])){
            $aData['absent_employee'] = $aData['total_employee'] - $aData['present_employee'];   
        }else{
            $aData['absent_employee'] = $aData['total_employee'] - 0;
        }

        $aData['total_garbage_collection'] = HomeModel::get_total_garbage_collection();
       // $aData['track_checkpoint'] = HomeModel::get_daily_checkpoints();
        return view('dashboard.user_dashboard', $aData);
    }

    // public function get_checkpoints(Request $request){
    //     $aData['track_checkpoint'] = HomeModel::get_daily_checkpoints();
    //     return view('home.ajax_checkpoint', $aData);
    // }

}

