<?php 
namespace App\Libraries;

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;

class Mysecurity{
    public function get_module_id_by_name($sModuleName){

        return DB::table('admin_modules')->where('module_link',$sModuleName)->value('id');

    }
    
    public function check_access($user_id,$iModuleID,$iAccess=2){

        if(isset(Session::get('logged_in')['superuser']) && Session::get('logged_in')['superuser'] == 1){            
            return redirect('/home');
        }
        $result = DB::table('admin_user_rights')->where('user_id','=',$user_id)
                                ->where('module_id', '=', $iModuleID)
                                ->where('access', '>=', $iAccess)
                                ->value('id');

        if(empty($result)){
            if($iAccess>1){
                abort(403, 'You dont have write access to this module');
            }
            if($iAccess==1){
                abort(403, 'You dont have read access to this module');
            }
            if($iAccess==0){
                abort(403, 'You dont have any access to this module');
            }
            
        }  
        return true;
    }

    public function conver_into_indian_money_format($number){
		// if (function_exists('money_format')) {
		// 	$amount = money_format('%i',$amount);
		// }
		// return $amount;
        $decimal = (string)($number - floor($number));
        $money = floor($number);
        $length = strlen($money);
        $delimiter = '';
        $money = strrev($money);

        for($i=0;$i<$length;$i++){
            if(( $i==3 || ($i>3 && ($i-1)%2==0) )&& $i!=$length){
                $delimiter .=',';
            }
            $delimiter .=$money[$i];
        }

        $result = strrev($delimiter);
        $decimal = preg_replace("/0\./i", ".", $decimal);
        $decimal = substr($decimal, 0, 3);

        if( $decimal != '0'){
            $result = $result.$decimal;
        }

        return $result;
	}

}