<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Session;

class AllRoutesModel extends Model
{
    use HasFactory;
    
    public $timestamps = false;


	public static function get_all_routes($ward_id = 0,$vehicle_id = 0,$Pakage_id = 0,$date){
	
	    	$aRoutes = array();
			if(!empty($date)){
				$today = date('Ymd',strtotime($date));
			}else{
				$today = date('Ymd',strtotime('now'));
			}
			
			$sSQL = 'SELECT route_id FROM daily_route_details WHERE current_day = '.$today;
			if(!empty($vehicle_id)){
				$sSQL .= ' AND vehicle_number = '.$vehicle_id;
			}
			
			$rResult = DB::select( DB::raw($sSQL), array());
			$aColors = config('custom.routeColors');
			$iColOffset = 0;

			foreach($rResult as $aRoute){
				$sSQL = 'SELECT vehicle_number,rm.id as route_id,rm.route_name,(SELECT vehicle_number FROM vehicle_master WHERE id = drd.vehicle_number) as vehicle_number_to_show FROM daily_route_details drd right join route_master rm on rm.id=drd.route_id  WHERE current_day = '.$today. ' and route_id ='.$aRoute->route_id;

				if(!empty($ward_id)){
				    $sSQL .= ' AND rm.ward_id = '.$ward_id;
				}
					
				if(!empty($Pakage_id)){
					$sSQL .= ' AND rm.Pakage_id = '.$Pakage_id;
				}
					
				if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
					$session_div = Session::get('Pakages'); 
					if(!empty($session_div)){
						$str_div = implode(',',$session_div);
						$sSQL .= ' AND rm.Pakage_id IN ('.$str_div.')';
					}else {
						$sSQL .= ' AND 1=2';
					}
				}

				$rRes = DB::select( DB::raw($sSQL), array());
				foreach($rRes as $aRow){
				
					$vehicle_details_folder = base_path('public/vehicle_details/');
					$actual_route = array();
	
					$file = $vehicle_details_folder.$today.'/'.$aRow->vehicle_number.'.json';
					if(file_exists($file)){
						$handle = fopen($file, "r");
						$actual_route = fgets($handle);
						fclose($handle);
						$actual_route = trim($actual_route);
						$firstchar = substr($actual_route,0,1);
						if($firstchar != '['){
							$actual_route = '['.$actual_route.']';
						}
						$actual_route = json_decode($actual_route);
						if(!empty($actual_route)){
							foreach($actual_route as $aRoute){
								$aRoute->lat = (double)$aRoute->latitude;
								$aRoute->lng = (double)$aRoute->longitude;
							}
						}
					}
					if(!empty($actual_route)){
						$aRoutes[$aRow->vehicle_number]['color'] = $aColors[$iColOffset];
						$max_color_count = config('custom.max_color_count');
						if($iColOffset<$max_color_count)
							$iColOffset++;			
						else
						$iColOffset = 0;  
						$aRoutes[$aRow->vehicle_number]['route_name'] = $aRow->route_name;
						$aRoutes[$aRow->vehicle_number]['route_id'] = $aRow->route_id;
						$aRoutes[$aRow->vehicle_number]['vehicle_number_to_show'] = $aRow->vehicle_number_to_show;
						$aRoutes[$aRow->vehicle_number]['vehicle_id'] = $aRow->vehicle_number;
						$aRoutes[$aRow->vehicle_number]['actual_route'] = $actual_route;
					}
				}  
			}
			//dd($aRoutes);
			//echo '<pre>';print_r($aRoutes);die;
		return $aRoutes;
		
	}

  
}

?>