@extends('layout.index')
@if (isset($aEmployee->id))
    @section('title', 'Edit Employee Details')
@else
    @section('title', 'Add Employee Details')
@endif
<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        @php  $aEmployee->id ? $id = $aEmployee->id : $id = 0;   @endphp

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">
                                            @if (isset($aEmployee->id))
                                                Edit Employee Details
                                            @else
                                                Add Employee Details
                                            @endif
                                        </h2>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex justify-content-end breadcrumb-wrapper">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb mr-1">
                                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                        <li class="breadcrumb-item">Employee</li>
                                        <li class="breadcrumb-item active" aria-current="page">
                                            @if (isset($aEmployee->id))
                                                Edit Employee Details
                                            @else
                                                Add Employee Details
                                            @endif
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>

        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <section id="multiple-column-form">
                <div class="row justify-content-center">
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-body">
                                <form class="form"
                                    @if (!isset($aEmployee->id)) action="{{ route('add_edit.employee') }}" @else action="{{ route('add_edit.employee', $aEmployee->id) }}" @endif
                                    method="post">
                                    {{ csrf_field() }}
                                    <div class="row justify-content-center">
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="Pakage_id">Pakage <span style="color:red;">*</span></label>
                                                <select id="Pakage_id" name="Pakage_id" class="select2 form-control">
                                                    <option value="">Select Pakage</option>
                                                    @foreach ($aPakage as $val)
                                                        <option value="{{ $val->id }}"
                                                            {{ old('Pakage_id', $aEmployee->Pakage_id) == $val->id ? 'selected' : '' }}>
                                                            {{ $val->Pakage_name }}</option>
                                                    @endforeach
                                                </select>
                                                <h5><small class="text-danger" id="Pakage_id_err"></small></h5>
                                                @error('Pakage_id')
                                                    <span class="text-danger">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="emp_id">Employee Id <span style="color:red;">*</span></label>
                                                <input type="text" id="emp_id" class="form-control"
                                                    placeholder="Enter Employee Id" name="emp_id"
                                                    value="{{ old('emp_id', $aEmployee->emp_id) }}" autocomplete="off" />
                                                @error('emp_id')
                                                    <span class="text-danger">{{ $message }}</span>
                                                @enderror
                                                <h5><small class="text-danger" id="emp_id_err"></small></h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="firstname">First Name <span style="color:red;">*</span></label>
                                                <input type="text" id="firstname" class="form-control"
                                                    placeholder="Enter First Name" name="firstname"
                                                    value="{{ old('firstname', $aEmployee->firstname) }}"
                                                    autocomplete="off" />
                                                @error('firstname')
                                                    <span class="text-danger">{{ $message }}</span>
                                                @enderror
                                                <h5><small class="text-danger" id="firstname_err"></small></h5>
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="middlename">Middle Name <span
                                                        style="color:red;">*</span></label>
                                                <input type="text" id="middlename" class="form-control"
                                                    placeholder="Enter Middle Name" name="middlename"
                                                    value="{{ old('middlename', $aEmployee->middlename) }}"
                                                    autocomplete="off" />
                                                @error('middlename')
                                                    <span class="text-danger">{{ $message }}</span>
                                                @enderror
                                                <h5><small class="text-danger" id="middlename_err"></small></h5>
                                            </div>
                                        </div>

                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="lastname">Last Name <span style="color:red;">*</span></label>
                                                <input type="text" id="lastname" class="form-control"
                                                    placeholder="Enter Last Name" name="lastname"
                                                    value="{{ old('lastname', $aEmployee->lastname) }}"
                                                    autocomplete="off" />
                                                @error('lastname')
                                                    <span class="text-danger">{{ $message }}</span>
                                                @enderror
                                                <h5><small class="text-danger" id="lastname_err"></small></h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="designation">Designation</label>
                                                <select id="designation" name="designation" class=" form-control">
                                                <option value="">-- Select --</option>

                                                <?php 
                                                  foreach ($designation as $val) {
                                                     
                                                ?>
                                                <option value="<?php echo $val->id; ?>" <?php echo ($val->id == $aEmployee->designation)?'selected':''; ?>><?php echo $val->name; ?></option>
                                                <?php  
                                                  }
                                                ?>
                                                </select>
                                                @error('designation')
                                                    <span class="text-danger">{{ $message }}</span>
                                                @enderror
                                                <h5><small class="text-danger" id="designation_err"></small></h5>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <div class="form-group">
                                                <label for="address">Address <span style="color:red;">*</span></label>
                                                <textarea class="form-control" id="address" rows="4" placeholder="Address" name="address">{{ Request::old('address', $aEmployee->address) }}</textarea>
                                            </div>
                                            @error('address')
                                                <span class="text-danger">{{ $message }}</span>
                                            @enderror
                                            <h5><small class="text-danger" id="address_err"></small></h5>
                                        </div>
                                        <div class="col-md-4 col-12">
                                            <label for="address">Gender</label>
                                            <div class="demo-inline-spacing">
                                                <div class="custom-control custom-radio mt-0">
                                                    <input type="radio" id="customRadio1" name="gender"
                                                        class="custom-control-input" value="male" <?php if ($aEmployee->gender == 'male') {
                                                            echo 'checked';
                                                        } ?>
                                                        checked />
                                                    <label class="custom-control-label" for="customRadio1">Male</label>
                                                </div>
                                                <div class="custom-control custom-radio mt-0">
                                                    <input type="radio" id="customRadio2" name="gender"
                                                        class="custom-control-input" value="female" <?php if ($aEmployee->gender == 'female') {
                                                            echo 'checked';
                                                        } ?> />
                                                    <label class="custom-control-label" for="customRadio2">Female</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <hr class="m-1">
                                    <div class="col-12 text-center mt-1">
                                        <input type="submit" class="btn btn-primary mr-1" onClick="return validation()" value="Submit">
                                        <a href="{{ route('employee.list') }}"
                                            class="btn btn-outline-secondary">Cancel</a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
        <?php $live_url = config('custom.base_url'); ?>
    </section>
@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<?php if(isset($aEmployee->id)){
    $edit_id = $aEmployee->id;
}else{ $edit_id = 0; } ?>
<script type="text/javascript">
    function contact_validation(value) {
        if ($('#contact_no').val().length < 1) {
            $('#contact_no').parent().addClass('has-error');
            $('#contact_no_err').html('Please Enter Mobile Number.');
            $('#contact_no').focus();
            $('#contact_no').keyup(function() {
                $('#contact_no').parent().removeClass('has-error');
                $('#contact_no_err').html('');
            });
            return false;
        } else if ($('#contact_no').val().length < 10) {
            $('#contact_no').parent().addClass('has-error');
            $('#contact_no_err').html('Please Enter Valid Mobile Number');
            $('#contact_no').focus();
            $('#contact_no').keyup(function() {
                $('#contact_no').parent().removeClass('has-error');
                $('#contact_no_err').html('');
            });
            return false;
        }
        
        $.ajax({
            //url: '/biometric_attendance/contact_validation',
            url: "<?php echo $live_url; ?>biometric_attendance/contact_validation",
            type: 'post',
            data: {
                _token: "{{ csrf_token() }}",
                id: <?php echo $edit_id; ?>,
                contact_no: value
            },
            success: function(result) {
               // alert(result);
                if(result == '1')
                {
                    alert('This Contact No Already Exists.');
                    document.getElementById("contact_no").value = '';
                    return false;
                }
            },
           
        });
    }

    function validation() {
        if ($('#Pakage_id').val() == "") {
            $('#Pakage_id').parent().addClass('has-error');
            $('#Pakage_id_err').html('Please Select Pakage.');
            $('#Pakage_id').focus();
            $('#Pakage_id').change(function() {
                $('#Pakage_id').parent().removeClass('has-error');
                $('#Pakage_id_err').html('');
            });
            return false;
        }

        if ($('#emp_id').val() == "") {
            $('#emp_id').parent().addClass('has-error');
            $('#emp_id_err').html('Please Enter Emp Id.');
            $('#emp_id').focus();
            $('#emp_id').keyup(function() {
                $('#emp_id').parent().removeClass('has-error');
                $('#emp_id_err').html('');
            });
            return false;
        }

        if ($('#firstname').val() == "") {
            $('#firstname').parent().addClass('has-error');
            $('#firstname_err').html('Please  Enter First Name .');
            $('#firstname').focus();
            $('#firstname').keyup(function() {
                $('#firstname').parent().removeClass('has-error');
                $('#firstname_err').html('');
            });
            return false;
        }

        if ($('#middlename').val() == "") {
            $('#middlename').parent().addClass('has-error');
            $('#middlename_err').html('Please Enter Middle Name.');
            $('#middlename').focus();
            $('#middlename').keyup(function() {
                $('#middlename').parent().removeClass('has-error');
                $('#middlename_err').html('');
            });
            return false;
        }

        if ($('#lastname').val() == "") {
            $('#lastname').parent().addClass('has-error');
            $('#lastname_err').html('Please Enter Last Name.');
            $('#lastname').focus();
            $('#lastname').keyup(function() {
                $('#lastname').parent().removeClass('has-error');
                $('#lastname_err').html('');
            });
            return false;
        }

        // if ($('#contact_no').val() == "") {
        //     $('#contact_no').parent().addClass('has-error');
        //     $('#contact_no_err').html('Please Enter Mobile Number.');
        //     $('#contact_no').focus();
        //     $('#contact_no').keyup(function() {
        //         $('#contact_no').parent().removeClass('has-error');
        //         $('#contact_no_err').html('');
        //     });
        //     return false;
        // } else if ($('#contact_no').val().length < 10) {
        //     $('#contact_no').parent().addClass('has-error');
        //     $('#contact_no_err').html('Please Enter Valid Mobile Number');
        //     $('#contact_no').focus();
        //     $('#contact_no').keyup(function() {
        //         $('#contact_no').parent().removeClass('has-error');
        //         $('#contact_no_err').html('');
        //     });
        //     return false;
        // }

        if ($('#address').val() == "") {
            $('#address').parent().addClass('has-error');
            $('#address_err').html('Please Enter Address.');
            $('#address').focus();
            $('#address').keyup(function() {
                $('#address').parent().removeClass('has-error');
                $('#address_err').html('');
            });
            return false;
        }

    }

    function isNumberKey(evt) {
        // alert("here")
        var charCode = (evt.which) ? evt.which : event.keyCode
        if (charCode > 31 && (charCode < 48 || charCode > 57))
            return false;
        return true;
    }
</script>

<script>
    function Adhar_no_format() {
            var value =$('#aadhar_no').val();
            value = value.replace(/\D/g, "").split(/(?:([\d]{4}))/g).filter(s => s.length > 0).join(" ");
            $('#aadhar_no').val(value);
    }
</script>
