@extends('layout.index')
@section('title', 'Employee List')

<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Employee List</h2>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex justify-content-end breadcrumb-wrapper">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb mr-1">
                                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                        <li class="breadcrumb-item">Employee</li>
                                        <li class="breadcrumb-item active" aria-current="page">Employee List</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('biometric_attendance/search') }}" method="POST">
                            <input type="hidden" name="form_type" value="search_form">
                            @csrf
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-10">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <div class="form-group m-0">
                                                    <select name="Pakage_id" class="select2 form-select">
                                                        <option value="">Select Pakage</option>
                                                        @foreach ($aPakage as $val)
                                                            @php $selected = '';   @endphp
                                                            @if ($Pakage_id == $val->id)
                                                                @php $selected ='selected'; @endphp
                                                            @endif
                                                            <option {{ $selected }} value="{{ $val->id }}">
                                                                {{ $val->Pakage_name }}</option>
                                                        @endforeach

                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-sm-3">
                                                <div class="form-group">
                                                    <input type="text" id="emp_id" class="form-control"
                                                        placeholder="Employee Id" name="emp_id" value="{{ $emp_id }}" autocomplete="off"/>
                                                </div>
                                            </div>
                                            <div class="col-sm-3">
                                                <div class="form-group">
                                                    <input type="text" id="employee_name" class="form-control"
                                                        placeholder="Employee Name" name="employee_name"
                                                        value="{{ $employee_name }}" autocomplete="off"/>
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                            <button type="submit" class="btn btn-primary">Search</button>

                                                @if ($search)
                                                    <a title="Clear" href="{{ url('biometric_attendance/clear_search') }}"
                                                        class="btn btn-outline-primary" data-column="3"><i
                                                            data-feather="rotate-ccw"
                                                            class="me-25"></i><span> Clear</span></a>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-2">
                                        <a href="{{ route('add_edit.employee') }}"
                                            class="btn btn-outline-primary float-right"> <i data-feather="plus"
                                                class="me-25"></i><span>Add Employee</span></a>
                                    </div>
                                </div>
                            </div>
                        </form>
                   
                    <!-- temperory employee excell import code -->
                    <?php if(Session::get('logged_in')['superuser'] == 1){ ?>     
                         <form method="post" action="{{route('biometric_attendance.import_employee') }}" enctype="multipart/form-data">
                            @csrf <!-- {{ csrf_field() }} -->
                            <div class="row">
                                <div class="col-sm-2">
                                    <div class="form-group m-0">
                                       Employee Import
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="form-group m-0">
                                        <input type="file" id="emp_file" name="emp_file" class="form-control">
                                        <input type="hidden" name="Pakage_id">
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <div class="form-group m-0">
                                       <button type="submit" class="btn btn-primary">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    <?php } ?>
                    <!-- end -->

                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th>Pakage</th>
                                        <th>Employee Id</th>
                                        <th>Employee Name</th>
                                        <th class="text-center">Profile Image</th>
                                        <th class="text-center">Image Upload</th>
                                        <th class="text-center">Check Attendance</th>
                                        <th class="text-center">Status</th>
                                        <th class="text-center">Action</th>
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                                    @if ($aEmployee)
                                      @if(count($aEmployee) != 0)
                                        @php
                                            $i = 1;
                                            $i = $aEmployee->perPage() * ($aEmployee->currentPage() - 1);
                                        @endphp

                                        @foreach ($aEmployee as $val)
                                            @php $i++; @endphp
                                            <tr>
                                                <td class="text-center">{{ $i }}</td>
                                                <td>{{ $val->Pakage_name }}</td>
                                                <td>{{ $val->emp_id }}</td>
                                                <td>{{ $val->firstname }}&nbsp;{{ $val->middlename }}&nbsp;{{ $val->lastname }}
                                                </td>
                                                <td class="text-center">
                                                    @if (isset($val->image_url))
                                                        <div class="avatar avatar-lg">
                                                        <a href={{ asset('/uploads/employee_images/' . $val->image_url) }} target="_blank">
                                                            <img src={{ asset('/uploads/employee_images/' . $val->image_url) }} alt="avatar" /></a>
                                                        </div>
                                                    @else
                                                        <div class="avatar avatar-lg">
                                                            <img src={{ asset('app-assets/images/portrait/small/proflie-default.png') }}
                                                                alt="avatar" />
                                                        </div>
                                                    @endif
                                                </td>

                                                <td class="text-center">
                                                    <a href="{{ url('biometric_attendance/image', $val->id) }}"
                                                        class="btn btn-icon btn-outline-primary">
                                                        <i class="fa fa-upload" aria-hidden="true"></i> Upload
                                                    </a>
                                                </td>
                                                <td class="text-center">
                                                    <a href="{{ route('employee.attendance', $val->id) }}"
                                                        class="btn btn-icon btn-outline-primary">
                                                        <i class="fa fa-eye" aria-hidden="true"></i> View
                                                    </a>
                                                </td>

                                                <td class="text-center">
                                                    <div class="custom-control custom-switch custom-switch-success">
                                                        <input type="checkbox" class="custom-control-input"
                                                            id="{{ $val->id }}"
                                                            {{ $val->is_active ? 'checked' : '' }}
                                                            onclick="change_status(event.target, {{ $val->id }});" />
                                                        <label class="custom-control-label" for="{{ $val->id }}">
                                                            <span class="switch-icon-left"></span>
                                                            <span class="switch-icon-right"></span>
                                                        </label>
                                                    </div>
                                                </td>

                                                <td class="text-center">
                                                    <div class="dropdown">
                                                        <button type="button"
                                                            class="btn btn-sm dropdown-toggle hide-arrow"
                                                            data-toggle="dropdown">
                                                            <i data-feather="more-vertical"></i>
                                                        </button>
                                                        <div class="dropdown-menu">
                                                            <a class="dropdown-item"
                                                                href="{{ route('add_edit.employee', $val->id) }}">
                                                                <i data-feather="edit-2" class="mr-50"></i>
                                                                <span>Edit</span>
                                                            </a>

                                                            <form action="{{ route('delete.employee', $val->id) }}"
                                                                method="POST">
                                                                {{ csrf_field() }}
                                                                {{ method_field('DELETE') }}
                                                                <input type="hidden" name="_method" value="DELETE">
                                                                <button type="submit" class="dropdown-item"
                                                                    onclick="return confirm('Are you sure you want to delete this record?')">
                                                                    <i data-feather="trash"
                                                                        class="mr-50"></i>Delete</button>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @else
                                        <tr>
                                            <td colspan="10" style="text-align: center; color:red;">No Record Found.</td>
                                        </tr>
                                    @endif
                                    @endif
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    {{ $aEmployee->links() }}
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        <?php $live_url = config('custom.base_url'); ?>
    </section>
@endsection
<script>
    function change_status(_this, id) {
        var status = $(_this).prop('checked') == true ? 1 : 0;
        if (confirm("Are you sure want to change this status?")) {
            
            let _token = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                //url: 'biometric_attendance/change_status',
                url: "<?php echo $live_url; ?>biometric_attendance/change_status",
                type: 'post',
                data: {
                    _token: "{{ csrf_token() }}",
                    id: id,
                    status: status
                },
                success: function(result) {
                    if(result == 1){
                        alert('Status changed successfully')
                        //location.reload(); 
                    }else{
                        alert('Some error occured');
                        if(status)
                            $(_this).prop("checked" , false)
                        else
                            $(_this).prop("checked" , true)
                            return false;
                    }
                        
                    
                },
                error:function(){
                    alert('Some error occured');
                    if(status)
                        $(_this).prop("checked" , false)
                    else
                        $(_this).prop("checked" , true)
                        return false;
                }
            });
        }else{
            if(status)
                $(_this).prop("checked" , false)
            else
                $(_this).prop("checked" , true)
            return false;
        }
    }
</script>
