@extends('layout.index')
@section('title','Module Create')
<!-- Dashboard Ecommerce start -->
@section('content')
<section>
   
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0">Add Module</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Module</li>
                             <li class="breadcrumb-item active" aria-current="page">Add Module</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
     </div>

    @if ($message = Session::get('success'))
        <div class="demo-spacing-0 mb-1">
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <div class="alert-body">
                    {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $message }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                </div>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
    @endif
   
   <div class="content-body">
        <section id="multiple-column-form">
            <div class="row justify-content-center">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body">
                            <form class="form" action="{{route('modules.store')}}" method="post">
                                {{csrf_field()}}                        
                                    <div class="row">
                                        <div class="col-md-6 col-12">
                                                <div class="form-group">
                                                    <label for="module_name">Module Name <span style="color: red;">*</span></label>
                                                    <input type="text" id="module_name" class="form-control" placeholder="Module Name" name="module_name" value="{{ old('module_name') }}"  autocomplete="off" />
                                                    <h5><small class="text-danger" id="module_name_err"></small></h5>
                                                    @error('module_name')<span class="error" style="color: red;">{{ $message }}</span>@enderror
                                                </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="module_caption">Module Caption <span style="color: red;">*</span></label>
                                                <input type="text" id="module_caption" class="form-control" placeholder="Module Caption" name="module_caption" value="{{ old('module_caption') }}"  autocomplete="off" />
                                                <h5><small class="text-danger" id="module_caption_err"></small></h5>
                                                @error('module_caption')<span class="error" style="color: red;">{{ $message }}</span>@enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="module_link">Module Link <span style="color: red;">*</span></label>
                                                <input type="text" id="module_link" class="form-control" placeholder="Module Link" name="module_link" value="{{ old('module_link') }}"  autocomplete="off"/>
                                                <h5><small class="text-danger" id="module_link_err"></small></h5>
                                                @error('module_link')<span class="error" style="color: red;">{{ $message }}</span>@enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="module_fa_icon">Module Icon</label>
                                                <input type="text" id="country-floating" class="form-control" name="module_fa_icon" placeholder="Module Icon" value="{{ old('module_fa_icon') }}"  autocomplete="off"/>
                                            </div>
                                        </div>
                                        <hr class="m-1">
                                        <div class="col-12 text-center mt-1">
                                            <input type="submit" name="command" class="btn btn-primary mr-1" value="Save" onClick="return validation()">
                                            <a href="{{ route('modules.index') }}" class="btn btn-outline-secondary">Cancel</a>
                                        </div>
                                    </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
   </div>
</section>
@endsection
<script type="text/javascript">
	function validation() {
       
        if ($('#module_name').val() == ""){
            $('#module_name').parent().addClass('has-error');
            $('#module_name_err').html('Please Enter Module Name.');
            $('#module_name').focus();
            $('#module_name').keyup(function () {
            $('#module_name').parent().removeClass('has-error');
            $('#module_name_err').html('');
            });
            return false;
        } 
        
        if ($('#module_caption').val() == ""){
            $('#module_caption').parent().addClass('has-error');
            $('#module_caption_err').html('Please Enter Module Caption.');
            $('#module_caption').focus();
            $('#module_caption').keyup(function () {
            $('#module_caption').parent().removeClass('has-error');
            $('#module_caption_err').html('');
            });
            return false;
        }
        
        if ($('#module_link').val() == ""){
            $('#module_link').parent().addClass('has-error');
            $('#module_link_err').html('Please Enter Module Link.');
            $('#module_link').focus();
            $('#module_link').keyup(function () {
            $('#module_link').parent().removeClass('has-error');
            $('#module_link_err').html('');
            });
            return false;
        } 
    }
</script>

