@extends('layout.index')
@section('title', 'Module List')

<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Modules List</h2>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex justify-content-end breadcrumb-wrapper">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb mr-1">
                                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                        <li class="breadcrumb-item">Modules</li>
                                        <li class="breadcrumb-item active" aria-current="page">Modules List</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="row w-100">
                                <div class="col-sm-8">
                                </div>
                                <div class="col-sm-4">
                                    <a href="{{ route('modules.create') }}" class="btn btn-outline-primary float-right">
                                        <i data-feather="plus" class="me-25"></i><span>Add Module</span></a>
                                </div>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th class="text-left">Module Name</th>
                                        <th class="text-left">Module Caption</th>
                                        <th class="text-left">Module Link</th>
                                        <th class="text-center">Module Icon</th>
                                        <th class="text-center">Status</th>
                                        <th class="text-left">Sort Order</th>
                                        <th class="text-center">Action</th>
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                                    @if ($aModules)
                                        @php 
                                            $i = 0;
                                            $orders = config('custom.module_sort_order');
                                            $data = array();
                                         @endphp    
                                         @foreach ($aModules as $val)
                                            @php
                                                $data[] = $val->sort_order
                                            @endphp
                                         @endforeach
                                           
                                        @foreach ($aModules as $val)
                                            @php $i++;  @endphp
                                            <tr>
                                                <td class="text-center">{{ $i }}</td>
                                                <td class="text-left">{{ $val->module_name }}</td>
                                                <td class="text-left">{{ $val->module_caption }}</td>
                                                <td class="text-left">{{ $val->module_link }}</td>
                                                <td class="text-center"><i class="{{ $val->module_fa_icon }}"></i> </i></td>
                                                <td class="text-center">
                                                    <div class="custom-control custom-switch custom-switch-success">
                                                        <input type="checkbox" class="custom-control-input"
                                                            id="{{ $val->id }}" {{ $val->active ? 'checked' : '' }}
                                                            onclick="change_status(event.target, {{ $val->id }});" />
                                                        <label class="custom-control-label" for="{{ $val->id }}">
                                                            <span class="switch-icon-left"></span>
                                                            <span class="switch-icon-right"></span>
                                                        </label>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                       @php
                                                        @endphp
                                                        <select id="sort_order_{{ $val->id }}" name="sort_order"
                                                            class=" form-control"
                                                            onchange="change_sort_order({{ $val->id }})">
                                                            <option value="0">-Select-</option>
                                                            @foreach ($orders as $key => $value)
                                                                @php
                                                                    $selected = '';
                                                                    if ($key == $val->sort_order) {
                                                                        $selected = 'selected';
                                                                    }
                                                                @endphp
                                                                @if(!in_array($key,$data) || $key == $val->sort_order)
                                                                    <option value="{{ $key }}" {{ $selected }}>{{ $value }}</option>
                                                                @endif
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </td>
                                                <td class="text-center">
                                                    <div class="dropdown">
                                                        <button type="button" class="btn btn-sm dropdown-toggle hide-arrow"
                                                            data-toggle="dropdown">
                                                            <i data-feather="more-vertical"></i>
                                                        </button>
                                                        <div class="dropdown-menu">
                                                            <a class="dropdown-item"
                                                                href="{{ route('modules.edit', $val->id) }}">
                                                                <i data-feather="edit-2" class="mr-50"></i>
                                                                <span>Edit</span>
                                                            </a>

                                                            <form action="{{ route('modules.destroy', $val->id) }}"
                                                                method="POST">
                                                                {{ csrf_field() }}
                                                                {{ method_field('DELETE') }}
                                                                <input type="hidden" name="_method" value="DELETE">
                                                                <button type="submit" class="dropdown-item"
                                                                    onclick="return confirm('Are you sure you want to delete this vehicle?')">
                                                                    <i data-feather="trash"
                                                                        class="mr-50"></i>Delete</button>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @endif
                                </tbody>
                            </table>
                            <div class="card-body">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        <?php $live_url = config('custom.base_url'); ?>
    </section>
@endsection
<script>
    function change_status(_this, id) {
        if (confirm("Are you sure want to change this status?")) {
            var status = $(_this).prop('checked') == true ? 1 : 0;
            let _token = $('meta[name="csrf-token"]').attr('content');

            $.ajax({
                //url: 'modules/change_status',
                url: '<?php echo $live_url; ?>modules/change_status',
                type: 'post',
                data: {
                    _token: "{{ csrf_token() }}",
                    id: id,
                    status: status
                },
                success: function(result) {}
            });
        }else{
                location.reload();
            }
    }

    function change_sort_order(id) {

        var sort_order = $('#sort_order_' + id).val();
        $.ajax({
            type: "post",
            //url: "/modules/sort_order",
            url: "<?php echo $live_url; ?>modules/sort_order",
            cache: false,
            data: {
                "_token": "{{ csrf_token() }}",
                'id': id,
                'sort_order': sort_order
            },

            success: function(response) {
                location.reload();
            },

            error: function() {
            }
        });
        
    }
</script>


