@extends('layout.index')
@section('title','Route Master List')

<!-- Dashboard Ecommerce start -->
@section('content')
<section>
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0">Route Master</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Route Master</li>
                             <li class="breadcrumb-item active" aria-current="page">List</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
    </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                            {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @elseif ($message = Session::get('error'))
            <div class="demo-spacing-0 mb-1">
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        <div class="alert-body">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                                {{ $message }}
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                        </div>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
           </div>
        @endif
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
            <div class="col-12">
                <div class="card">
                <form class="dt_adv_search" action="{{url('route_master/search')}}" method="POST" >
                    <input type="hidden" name="form_type" value="search_form">
                    @csrf
                    <div class="card-header w-100" >
                        <div class="row w-100" >
                        <div class="col-sm-8">
                            <div class="row">
                                <div class="col-sm-3">
                                    <div class="form-group m-0">
                                    <select class="select2 form-select" id="route_id" name="route_id" >
                                        <option value="">--- Select Route Name ---</option>
                                        @foreach($route as $val)

                                        @php $selected = '';   @endphp 
                                        @if($route_id == $val->id)
                                        @php $selected ='selected'; @endphp
                                        @endif
                                            <option {{ $selected }} value="{{ $val->id }}">{{ $val->	route_name }}</option>
                                        @endforeach 
                                    </select>
                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group m-0">
                                    <select class="select2 form-select" id="Pakage_id" name="Pakage_id" onChange="get_wards()">
                                        <option value="">--- Select Pakage ---</option>
                                        @foreach($Pakages as $val)

                                        @php $selected = '';   @endphp 
                                        @if($Pakage_id == $val->id)
                                        @php $selected ='selected'; @endphp
                                        @endif
                                            <option {{ $selected }} value="{{ $val->id }}">{{ $val->Pakage_name }}</option>
                                        @endforeach 
                                    </select>
                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <div class="form-group m-0">
                                    <select class="select2 form-select" id="ward_id" name="ward_id">
                                        <option value="0">--- Select Wards ---</option>
                                        @foreach($wards as $val)

                                        @php $selected = '';   @endphp 
                                        @if($ward_id == $val->id)
                                        @php $selected ='selected'; @endphp
                                        @endif
                    
                                            <option {{ $selected }} value="{{ $val->id }}">{{ $val->ward_name }}</option>
                                        @endforeach 
                                    </select>
                                    </div>
                                </div>

                                <div class="col-sm-3">
                                    <!-- <label class="form-label">&nbsp;</label><br> -->
                                    <button type="submit" class="btn btn-primary">Search</button>

                                    @if($search)
                                    <a title="Clear" href="{{ url('route_master/clear_search') }}" class="btn btn-outline-primary" data-column="3"><i data-feather="rotate-ccw" class="me-25"></i><span> Clear</span></a> 
                                    @endif  
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <a href="{{ route('route_master.create') }}" class="btn btn-outline-primary float-right"> <i data-feather="plus" class="me-25"></i><span>Add Route</span></a>
                           
                            <button type="button" class="btn btn-primary mx-3" style="float:right;" onClick="window.location='{{ url('route_master/view_all_routes') }}'">All Routes</button>
                        </div>


                        </div>
                    </div>
                </form>
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered">
                        <thead>
                            <tr>
                                <th class="text-center">Sr.No</th>
                                <th>Route Name</th>
                                <th>Pakage</th>
                                <th>Ward</th>
                                <th class="text-center">View Route</th>
                                <th class="text-center">Vehicle | Type | Start Date | Repeat how many days</th>
                                <th class="text-center">View Calendar</th>
                                <?php
                                      if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') ==1){
                                ?>
                                <th class="text-center">Clear Route Current Date</th>
                                <?php } ?>
                                <th class="text-center">Action</th>
                              </tr>
                        </thead>
                        <tbody class="text-center">
                           
                            @if($result)
                                @if(count($result) != 0)
                                    @php $i=1;
                                        $i = $result->perPage() * ($result->currentPage() - 1);
                                    @endphp

                                    @foreach($result as $res)                                    
                                    @php $i++; @endphp 

                                    <?php $start_date =  ($res->start_date)?date('d-m-Y',strtotime($res->start_date)):''; ?>

                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td class="text-left">{{ $res->route_name }}</td>
                                            <td class="text-left">{{ $res->Pakage_name }}</td>
                                            <td class="text-left"><?php if(!empty($res->ward_name)){ echo $res->ward_name; }else{ echo '-'; } ?></td>
                                            
                                            <td class="text-center">
                                              <a class="btn btn-outline-primary" href="{{ url('route_master/view_route/'.$res->id.'/'.base64_encode($res->route_name)) }}" >Edit Pocket</a>
                                              
                                            </td>
                                            <td class="text-center">
                                            <?php
                                             if(!empty($res->vehicle_id)){

                                                echo $res->vehicle_number.' | '.$res->type_name.' | '.$start_date.' | '.$res->repeat_how_many_days;
                                            ?>
                                             &nbsp;&nbsp;&nbsp;
                                            <a class="btn btn-danger" href="javascript:avoid()" onclick="vehicle_delete_fun('<?php echo $res->id; ?>');"><i data-feather="trash" class="mr-50"></i></a>

                                              <?php }else{ ?>
                                               <a class="btn btn-outline-primary" href="javascript:avoid()" onclick="vehicle_fun('<?php echo $res->id; ?>');">Assign Vehicle</a>
                                              <?php } ?>
                                              
                                            </td>
                                            <td>
                                                <?php
                                                 
                                                 if(!empty($res->vehicle_id) && !empty($start_date)){
                                                ?>

                                                <a class="btn btn-outline-primary" href="{{ url('/calendar/route/'.$res->id.'/'.$res->vehicle_id.'/'.base64_encode($start_date)) }}">View Calendar</a>

                                                <?php
                                                    
                                                 }
                                                ?>
                                            </td>
                                            <?php
                                                  if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') ==1){
                                            ?>
                                            <td>
                                                
                                                <a class="btn btn-outline-primary" href="{{ url('/route_master/clear_route_current_date/'.$res->vehicle_id) }}" onclick="return confirm(' Are You Sure Want To Delete Current Date Route Data?');">Clear Date</a>
                                            </td>
                                            <?php  
                                                }
                                            ?>

                                            <td> <a class="dropdown-item" href="{{ route('route_master.edit', $res->id) }}"> <i data-feather="edit-2" class="mr-50"></i></a>   </td>
                                        </tr>
                                    @endforeach
                                    @else
                                    <tr>
                                        <td colspan="9" style="text-align:center; color:red;">No Record Found</td>
                                    </tr>
                                    @endif
                                    @endif 
                                                
                        </tbody>
                        </table>
                        
                        <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    {{ $result->links() }}
                                </div>   
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
        <!-- Bordered table end -->
    </div>

       <!-- model popup Generated -->
    <div class="modal fade" id="show_vehicle" role="dialog">
        <div class="modal-dialog">
               <!-- Modal content-->
            <div class="modal-content" style="width:400px; height: 500px;">
                <div class="modal-header">
                     <h4 class="text-left" style="text-align:left;"></h4>
                     <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <form action="{{url('route_master/update_vehicle_route_calender')}}" method="POST" autocomplete="off">
                    @csrf
                    <div class="modal-body">
                        <div class="col-md-8 col-12">
                            <input type="hidden" id="edit_id" class="form-control" name="edit_id" value="" readonly />
                            <div class="form-group">
                                <label><h5>Vehicle<span style="color:red;">*</span></h5></label>
                                <select name="vehicle_number" id="vehicle_number" class="select2 form-select">
                                    <option value="">--- Select Vehicle ---</option>
                                    @foreach($aVehicleNumber as $val)
                                    <option value="{{$val->id}}" > {{$val->vehicle_number}}</option>
                                   @endforeach 
                                </select>
                                <h5><small class="text-danger" id="vehicle_number_err"></small></h5>
                            </div>
                            <div class="form-group">
                                <label><h5>Type<span style="color:red;">*</span></h5></label>
                                <select name="type_id" id="type_id" class="select2 form-select">
                                    <option value="">--- Select Vehicle ---</option>
                                    @foreach($aTypes as $type_val)
                                    <option value="{{$type_val->id}}" > {{$type_val->name}}</option>
                                   @endforeach 
                                </select>
                                <h5><small class="text-danger" id="type_id_err"></small></h5>
                            </div>
                            <div class="form-group">
                                <label><h5>Start Date<span style="color:red;">*</span></h5></label>
                                <input type="text" id="start_date" class="form-control flatpickr-basic" name="start_date" value="" readonly />
                                <h5><small class="text-danger" id="start_date_err"></small></h5>
                            </div>
                            <div class="form-group">
                                <label><h5>Repeat After How Many Days<span style="color:red;">*</span></h5></label>
                                <input type="text" id="repeat_days_num" class="form-control" name="repeat_days_num" value=""/>
                                <h5><small class="text-danger" id="repeat_days_num_err"></small></h5>
                            </div>
                        </div>
                        <div class="col-md-4 col-12" style="display:flex;">
                            <div class="col-12 text-left mt-1" id="btn_submit">
                                <button type="submit" name="btn_submit" class="btn btn-primary" onclick="return validation();">Save</button>
                            </div>
                        
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script>
        function validation(){

            if ($('#vehicle_number').val() == ""){
            $('#vehicle_number').parent().addClass('has-error');
            $('#vehicle_number_err').html('Please Select Vehicle Number.');
            $('#vehicle_number').focus();
            $('#vehicle_number').change(function () {
            $('#vehicle_number').parent().removeClass('has-error');
            $('#vehicle_number_err').html('');
            });
            return false;
           }

           if ($('#type_id').val() == ""){
            $('#type_id').parent().addClass('has-error');
            $('#type_id_err').html('Please Select Type.');
            $('#type_id').focus();
            $('#type_id').change(function () {
            $('#type_id').parent().removeClass('has-error');
            $('#type_id_err').html('');
            });
            return false;
           }

           if ($('#start_date').val() == ""){
            $('#start_date').parent().addClass('has-error');
            $('#start_date_err').html('Please Select Start Date.');
            $('#start_date').focus();
            $('#start_date').change(function () {
            $('#start_date').parent().removeClass('has-error');
            $('#start_date_err').html('');
            });
            return false;
           }

           if ($('#repeat_days_num').val() == ""){
            $('#repeat_days_num').parent().addClass('has-error');
            $('#repeat_days_num_err').html('Please Enter Repeat After How Many Days.');
            $('#repeat_days_num').focus();
            $('#repeat_days_num').change(function () {
            $('#repeat_days_num').parent().removeClass('has-error');
            $('#repeat_days_num_err').html('');
            });
            return false;
           }
        }
    </script>

    <script>
        function vehicle_fun(id){
            $("#edit_id").val(id);
            $("#show_vehicle").modal({backdrop: true});
        }

        function vehicle_delete_fun(id){

            if(confirm('Are you sure you want to delete this vehicle?')){
                $.ajax({
                        type: "post",
                        url: "{{ url('/route_master/remove_vehicle_route_calender') }} ",
                        data:{"_token": "{{ csrf_token() }}","route_id":id},
                        success: function(response){

                            console.log(response);

                            if(response == 1){
                                
                                alert('Record Deleted Successfully');
                                 location.reload();
                            }
                          
                        },
                        error: function(){                      
                            alert("Error while request..");
                        }
                });

            }else{

              return false;
            }
        }
    </script>

    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

    <script>
        function get_wards(){
            var Pakage_id = $('#Pakage_id').val();
            $.ajax({
                    type: "post",
                    url: "{{ url('/route_master/wards') }} ",
                    data:{"_token": "{{ csrf_token() }}","Pakage_id":Pakage_id},
                    success: function(response){
                      // alert(response);
                       $('#ward_id').html(response); 
                    },
                    error: function(){                      
                        alert("Error while request..");
                    }
            });
            
        }

        // $("#start_date").datepicker({
        //     changeMonth: true,
        //     changeYear: true,
        //     dateFormat: 'dd-mm-yy'
        // });
    </script>

</section>
@endsection

