@extends('layout.index')
@section('title','Vehicle Master List')

<!-- Dashboard Ecommerce start -->
@section('content')
<section>
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0">Vehicle Master</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Vehicle Master</li>
                             <li class="breadcrumb-item active" aria-current="page">List</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
    </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-check-circle" style="font-size:16px;" aria-hidden="true"></i>
                            {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @elseif ($message = Session::get('error'))
            <div class="demo-spacing-0 mb-1">
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        <div class="alert-body">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                                {{ $message }}
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                        </div>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
           </div>
        @endif
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
            <div class="col-12">
                <div class="card">
                <form class="dt_adv_search" action="{{route('vehicle_master.search')}}" method="POST" >
                    <input type="hidden" name="form_type" value="search_form">
                    @csrf  
                    <div class="card-header w-100" >
                        <div class="row w-100" >
                        <div class="col-sm-8">
                            <div class="row">
                                <div class="col-sm-4">
                                    <div class="form-group m-0">
                                    <!-- <label class="form-label">Pakage</label> -->
                                    <select class="select2 form-select" id="Pakage_id" name="Pakage_id">
                                        <option value="">--- Select Pakage ---</option>
                                        @foreach($Pakages as $val)

                                        @php $selected = '';   @endphp 
                                        @if($Pakage_id == $val->id)
                                        @php $selected ='selected'; @endphp
                                        @endif

                                             <option {{ $selected }} value="{{ $val->id }}">{{ $val->Pakage_name }}</option>
                                        @endforeach 
                                    </select>
                                    </div>
                                </div>

                                <div class="col-sm-4">
                                    <div class="form-group m-0">
                                    <!-- <label class="form-label">Ward</label> -->
                                    <select name="vehicle_number" id="vehicle_number" class="select2 form-select">
                                            <option value="">--- Select Vehicle ---</option>
                                                @foreach($vehicle as $val)
                                                
                                                @php $selected = '';   @endphp 
                                                @if($vehicle_number == $val->id)
                                                @php $selected ='selected'; @endphp
                                                @endif
                                           
                                                <option {{ $selected }} value="{{$val->id}}" > {{$val->vehicle_number }}</option>
                                            @endforeach  
                                            
                                    </select>
                                    </div>
                                </div>
                                
                                <div class="col-sm-4">
                                    <!-- <label class="form-label">&nbsp;</label><br> -->
                                    <button type="submit" class="btn btn-primary">Search</button>
                                    @if($search)
                                     <a title="Clear" href="{{url('vehicle_master/clear_search')}}" class="btn btn-outline-primary" data-column="3"><i data-feather="rotate-ccw" class="me-25"></i><span> Clear</span></a> 
                                    @endif  
                                </div> 
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <a href="{{ route('vehicle_master.create') }}" class="btn btn-outline-primary float-right"> <i data-feather="plus" class="me-25"></i><span>Add Vehicle</span></a>
                        </div>
                        </div>
                    </div>
                </form>

                    <div class="table-responsive">
                        <table class="table table-striped table-bordered">
                        <thead>
                            <tr>
                                <th class="text-center">Sr.No</th>
                                <th>Pakage</th>
                                <th>Vehicle Number</th>
                                <th>Device Number</th>
                                <th>Sim Number</th>
                                <th>RFID Number</th>
                                <th>Status</th>
                                <th class="text-center">Action</th>
                              </tr>
                        </thead>
                        <tbody class="text-center">
                            @if(!empty($result))
                                @if(count($result) != 0)
                                    @php $i=1;
                                        $i = $result->perPage() * ($result->currentPage() - 1);
                                    @endphp

                                    @foreach($result as $res)                                    
                                    @php $i++; @endphp

                                        <tr>
                                            <td>{{ $i }}</td>
                                            <td class="text-left">{{ $res->Pakage_name }}</td>
                                            <td class="text-left">{{ $res->vehicle_number }}</td>
                                            <td class="text-left">{{ $res->device_number }}</td>
                                            <td class="text-left">{{ $res->sim_number }}</td>
                                            <td class="text-left">{{ $res->rfid_number }}</td>
                                            <td class="text-center">
                                                <div class="custom-control custom-switch custom-switch-success" onclick="change_status(event.target, {{ $res->id }});" >
                                                    <input type="checkbox" style="width:90px;z-index:9" class="custom-control-input"
                                                        id="{{ $val->id }}"
                                                        {{ $res->is_active ? 'checked' : '' }}
                                                        />
                                                        <label class="custom-control-label" for="{{ $res->id }}">
                                                        <span class="switch-icon-left"></span>
                                                        <span class="switch-icon-right"></span>
                                                    </label>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="dropdown">
                                                <button type="button" class="btn btn-sm dropdown-toggle hide-arrow" data-toggle="dropdown">
                                                <i data-feather="more-vertical"></i>
                                                </button>
                                                <div class="dropdown-menu">
                                                    <a class="dropdown-item" href="{{ route('vehicle_master.edit', $res->id) }}" >
                                                    <i data-feather="edit-2" class="mr-50"></i>
                                                    <span>Edit</span>
                                                    </a>
                                                    <form action="{{route('vehicle_master.destroy', $res->id )}}" method="POST">
                                                        {{csrf_field()}}
                                                        {{method_field('DELETE')}}
                                                        <input type="hidden" name="_method" value="DELETE">
                                                        <button type="submit" class="dropdown-item" onclick="return confirm('Are you sure you want to delete this vehicle?')">
                                                        <i data-feather="trash" class="mr-50"></i>Delete</button>
                                                    </form>   
                                                   
                                                </div>
                                                </div>
                                            </td>
                                        </tr>
                                       
                                    @endforeach
                                    @else
                                    <tr>
                                        <td colspan="8" style="text-align: center; color:red;">No Record Found</td>
                                    </tr>
                                    @endif 
                                    @endif 
                                                
                        </tbody>
                        </table>

                        <div class="card-body">
                                <div class="pagination justify-content-end">
                                    {{ $result->links() }}
                                </div> 
                        </div>

                    </div>
                </div>
            </div>
        </div>
        <!-- Bordered table end -->
    </div>
</section>
@endsection
<script>
    <?php $live_url = config('custom.base_url'); ?>
    function change_status(_this, id) {
        var status = $(_this).prop('checked') == true ? 1 : 0;
        if (confirm("Are you sure want to change this status?")) {
            let _token = $('meta[name="csrf-token"]').attr('content');
            $.ajax({
                //url: 'biometric_attendance/change_status',
                url: "<?php echo $live_url; ?>vehicle_master/change_status",
                type: 'post',
                data: {
                    _token: "{{ csrf_token() }}",
                    id: id,
                    status: status
                },
                success: function(result) {
                    if(result == 1){
                        alert('Status changed successfully')
                        //location.reload(); 
                    }else{
                        alert('Some error occured');
                        if(status)
                            $(_this).prop("checked" , false)
                        else
                            $(_this).prop("checked" , true)
                            return false;
                    }
                        
                    
                },
                error:function(){
                    alert('Some error occured');
                    if(status)
                        $(_this).prop("checked" , false)
                    else
                        $(_this).prop("checked" , true)
                        return false;
                }
            });
        }else{
            if(status)
                $(_this).prop("checked" , false)
            else
                $(_this).prop("checked" , true)
            return false;
        }
    }
</script>