@extends('layout.index')
@section('title','Vehicle Route List')

<!-- Dashboard Ecommerce start -->
@section('content')
<section>
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0">Vehicle Route List</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Vehicle Routes</li>
                             <li class="breadcrumb-item active" aria-current="page">Vehicle Route List</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
    </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-check-circle" style="font-size:16px;" aria-hidden="true"></i>
                            {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
            <div class="col-12">
                <div class="card">
                    <form class="dt_adv_search" action="{{url('vehicle_routes/search')}}" method="POST">
                            @csrf
                        <div class="card-header w-100" >
                            <div class="row w-100" >
                            <div class="col-sm-10">
                                <div class="row">

                                <div class="col-sm-2">
                                    <div class="form-group m-0">
                                    <!-- <label class="form-label">Pakage</label> -->
                                    <select class="select2 form-select" id="Pakage_id" name="Pakage_id" onChange="get_wards()">
                                        <option value="">--- Select Pakage ---</option>
                                        @foreach($Pakages as $val)

                                            @php $selected = '';   @endphp 
                                            @if($Pakage_id == $val->id)
                                            @php $selected ='selected'; @endphp
                                            @endif
                                        
                                        <option {{ $selected }} value="{{ $val->id }}">{{ $val->Pakage_name }}</option>
                                        @endforeach 
                                    </select>
                                    </div>
                                </div>

                                <div class="col-sm-2">
                                    <div class="form-group m-0">
                                    <!-- <label class="form-label">Ward</label> -->
                                    <select class="select2 form-select" id="ward_id" name="ward_id">
                                        <option value="0">--- Select Wards ---</option>
                                        @foreach($wards as $val)

                                            @php $selected = '';   @endphp 
                                            @if($ward_id == $val->id)
                                            @php $selected ='selected'; @endphp
                                            @endif
                    
                                        <option {{ $selected }} value="{{ $val->id }}">{{ $val->ward_name }}</option>
                                        @endforeach 
                                    </select>
                                    </div>
                                </div>

                                    <div class="col-sm-2">
                                        <div class="form-group m-0">
                                            <select name="vehicle_number" class="select2 form-select">
                                                <option value="">--- Select Vehicle ---</option>
                                                @foreach($aVehicleNumber as $val)
                                                    @php $selected = '';   @endphp 
                                                    @if($vehicle_number == $val->vehicle_number)
                                                @php $selected ='selected'; @endphp
                                            @endif
                                                <option {{ $selected }} value="{{$val->vehicle_number}}" > {{$val->vehicle_number}}</option>
                                            @endforeach  
                                            
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-sm-2">
                                        <div class="form-group m-0">
                                            <select name="route_id" class="select2 form-select">
                                                <option value="">--- Select Route ---</option>
                                                @foreach($aRoutes as $val)
                                                    @php $selected = '';   @endphp 
                                                    @if($route_id == $val->id)
                                                @php $selected ='selected'; @endphp
                                            @endif
                                                <option {{ $selected }} value="{{$val->id}}" > {{$val->route_name}}</option>
                                            @endforeach  
                                            
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-sm-2">
                                        <div class="form-group m-0">
                                            <select name="day" class="select2 form-select">
                                                <option value="">--- Select Days ---</option>
                                                @foreach($adays as $val)
                                                <option value="{{$val->id}}" <?php echo (session::get('day') == $val->id)? 'selected':''; ?>>{{$val->day}}</option>
                                                @endforeach  
                                            </select>
                                        </div>
                                    </div>

                                    <div class= "col-sm-2">
                                       
                                       <button type="submit" class="btn btn-primary">Search</button>
                                        
                                        @if($search)
                                            <a title="Clear" href="{{ url('vehicle_routes/clear_search') }}" class="btn btn-outline-primary" data-column="3"><i data-feather="rotate-ccw" class="me-25"></i><span> Clear</span></a> 
                                        @endif       
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-2">
                                <a href="{{ route('add_edit.vehicle_route') }}" class="btn btn-outline-primary float-right"> <i data-feather="plus" class="me-25"></i><span>Add Vehicle</span></a>
                            </div>
                            </div>
                        </div>
                    </form>
                <!-- index.blade.php -->

<div class="table-responsive">
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th class="text-center">Sr.No</th>
                <th>Route Name</th>
                <th>Vehicle Number</th>
                <th>Type</th>
                <th>Days</th>
                <th class="text-center">Action</th>
            </tr>
        </thead>
        <tbody class="text-left">
            @if ($aVehiclesRoutes)
                @if (count($aVehiclesRoutes) != 0)
                    @php $i = 1;
                    $i = $aVehiclesRoutes->perPage() * ($aVehiclesRoutes->currentPage() - 1);
                    @endphp

                    @foreach ($aVehiclesRoutes as $val)
                        @php $i++; @endphp
                        <tr>
                            <td class="text-center">{{ $i }}</td>
                            <td>{{ $val->route_name }}</td>
                            <td>{{ $val->vehicle_number }}</td>
                            <td>{{ $val->type }}</td>
                            <td>
                                {{ $val->day }}
                            </td>
                            
                            <td class="text-center">
                                <div class="dropdown">
                                    <button type="button" class="btn btn-sm dropdown-toggle hide-arrow" data-toggle="dropdown">
                                        <i data-feather="more-vertical"></i>
                                    </button>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" href="{{ route('add_edit.vehicle_route', $val->id) }}">
                                            <i data-feather="edit-2" class="mr-50"></i>
                                            <span>Edit</span>
                                        </a>
                                        <form action="{{ route('delete.vehicle_route', $val->id) }}" method="POST">
                                            {{ csrf_field() }}
                                            {{ method_field('DELETE') }}
                                            <input type="hidden" name="_method" value="DELETE">
                                            <button type="submit" class="dropdown-item" onclick="return confirm('Are you sure you want to delete this vehicle?')">
                                                <i data-feather="trash" class="mr-50"></i>Delete
                                            </button>
                                        </form>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                    <tr>
                        <td colspan="6">
                            <div class="d-flex justify-content-end">
                                    {{ $aVehiclesRoutes->links() }}
                            </div>   
                        </td>
                    </tr>
                @else
                    <tr>
                        <td colspan="8" style="text-align:center; color:red;">No Record Found</td>
                    </tr>
                @endif
            @endif
        </tbody>
    </table>
</div>

                </div>

            </div>
        </div>
        <!-- Bordered table end -->
    </div>
</section>
@endsection

<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

<script>
	function get_wards() {
    var Pakage_id = $('#Pakage_id').val();
    console.log("Selected Day: " + $('#day').val()); 
    $.ajax({
        type: "post",
        url: "{{ url('/route_master/wards') }} ",
        data: {"_token": "{{ csrf_token() }}", "Pakage_id": Pakage_id},
        success: function (response) {
            $('#ward_id').html(response);
        },
        error: function () {
            alert("Error while request..");
        }
    });
}
</script>