@extends('layout.index')
@section('title', 'Daily All Vehicle Weight Report')

<!-- Dashboard Ecommerce start -->
@section('content')
    @php
    use Carbon\Carbon;
    @endphp
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Daily All Vehicle Weight Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
     
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/vehicle_tracking_reports/daily_weight_mngmt') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-10">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <div class="form-group m-0">
                                                    <label class="form-label">Pakage</label>
                                                    <select class="select2 form-select" id="Pakage_id" name="Pakage_id">
                                                        <option value="">--- All Pakage ---</option>
                                                        @foreach($Pakages as $val)

                                                            @php $selected = '';   @endphp 
                                                            @if($Pakage_id == $val->id)
                                                            @php $selected ='selected'; @endphp
                                                            @endif
                                                        <option {{ $selected }} value="{{ $val->id }}">{{ $val->Pakage_name }}</option>
                                                        @endforeach 
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-sm-2">
                                                <label class="form-label">Vehicle</label>
                                                <select name="vehicle_id" id="vehicle_id" class="select2 form-select">
                                                    <option value="0">--All Vehicles--</option>
                                                    @foreach($vehicle as $val)

                                                        @php $selected = '';  @endphp 
                                                        @if($vehicle_id == $val->id)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }}  value="{{$val->id}}">{{$val->vehicle_number }}</option>
                                                    @endforeach  
                                                </select>
                                            </div>
                                           
                                            <div class="col-sm-2">
                                                <label class="form-label">Vehicle Type</label>
                                                <select name="vehicle_type_id" id="vehicle_type_id" class="select2 form-select">
                                                    <option value="0">--- All Vehicle Types ---</option>
                                                    @foreach($vehicle_type as $val)

                                                        @php $selected = '';  @endphp 
                                                        @if($vehicle_type_id == $val->id)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }} value="{{$val->id}}">{{$val->type }}</option>
                                                    @endforeach  
                                                </select>
                                            </div>

                                            <div class="col-sm-2">
                                              <label class="form-label">Date</label>
                                              <input id="date" name="date" class="form-control flatpickr-basic" type="text" value="<?php echo date('d-m-Y',strtotime($date)); ?>" >
                                            </div>

                                            <!--<div class="col-sm-2">
                                              <label class="form-label">Status</label>
                                              <select name="weight_status" id="weight_status" class="select2 form-select">
                                                
                                                   <option value="">--- Select ---</option>
                                                   <option value="1" <?php if($weight_status == 1){ echo 'selected'; } ?> >Accept</option>
                                                   <option value="2" <?php if($weight_status == 2){ echo 'selected'; } ?> >Reject</option>
                                                   <option value="0" <?php if($weight_status == 0){ echo 'selected'; } ?> >Pending</option>
                                              </select>
                                            </div>
                                            -->
                                            <div class="col-sm-2">
                                                <label class="form-label">&nbsp;</label><br>
                                                    <button type="submit" class="btn btn-primary">Search</button>
                                                   
                                                    <?php if(!empty($search) || $weight_status == 0){ ?>
                                                      <a title="Clear" href="{{ url('/vehicle_tracking_reports/clear_search/daily_weight_mngmt') }}" type="button" class="btn  btn-outline-primary"><i data-feather="rotate-ccw" class="me-25"></i> Clear </a>
                                                   <?php } ?>
                                            </div>
                                        </div>
                                        
                                    </div>
                                    <div class="col-sm-2">
                                        <label class="form-label">&nbsp;</label><br>
                                        <div class="d-flex align-items-center justify-content-end">
                                        @if(count($weightData))   
                                            <a title="Clear" href="{{ url('/vehicle_tracking_reports/daily_weight_mngmt/export_excel') }}"  style="margin :4px;float:right;"
                                                type="button" class="btn btn-outline-primary">
                                                <i class='fa fa-download' arial-hidden="true"></i> Excel
                                            </a>
                                        @endif    
                                            <a href="{{ url('vehicle_tracking_reports') }}" 
                                                class="btn btn-outline-primary" style="float:right;"><span>Back</span></a>
                                        </div>
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <br>
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th class="text-left">Time</th>
                                        <th class="text-left">Vehicle Number</th>
                                        <th class="text-center">Loaded Weight</th>
                                        <th class="text-center">Unloaded Weight</th>
                                        <th class="text-center">Net Weight</th>
                                        <!--<th class="text-center">Status</th>
                                         <th class="text-left">Old Weight</th>
                                        <th class="text-left">Reson</th> -->
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                               
                                <?php 
                                   if(!empty($weightData)){
                                    // echo '<pre>'; print_r($weightData['total']); die;
                                        $i = 0;
                                        $total_loaded = 0;
                                        $total_unloaded = 0;
                                        $total_net = 0;
                                        //$total_old_weight = 0;
                                        
                                        //$i = $weightData->perPage() * ($weightData->currentPage() - 1);
                                        foreach($weightData as $aRec){ 

                                            $i++;
                                            $total_loaded += $aRec->loaded_weight;
                                            $total_unloaded += $aRec->unloaded_weight;
                                            $total_net += $aRec->net_weight;
                                            // if(!empty($aRec->old_weight)){
                                            //     $total_old_weight += $aRec->old_weight;
                                            // }
                                         
                                ?>
                                    <tr>
                                        <td class="text-center"><?php echo $i; ?></td>
                                        <td class="text-left"><?php echo date('h:i a',$aRec->timestamp); ?></td>
                                        <td class="text-left"><?php echo $aRec->vehicle_number ?></td>
                                        <td class="text-center"><?php echo $aRec->loaded_weight ?></td>
                                        <td class="text-center"><?php echo $aRec->unloaded_weight ?></td>
                                        <td class="text-center"><?php echo $aRec->net_weight ?></td>
                                        <!--<td class="text-center"><?php //if($aRec->weight_status == 0){ ?>
                                            <div class="badge badge-warning">Pending</div>
                                        <?php //}elseif($aRec->weight_status == 1){?>
                                            <div class="badge badge-success">Accept</div>
                                        <?php //}elseif($aRec->weight_status == 2){?>
                                            <div class="badge badge-danger">Reject</div>
                                        <?php //}else{ echo '-'; }?>
                                        </td>
                                         <td class="text-left"><?php //if(!empty($aRec->old_weight)){ echo $aRec->old_weight; }else{ echo '-'; } ?></td>
                                        <td class="text-left"><?php //if(!empty($aRec->reson)){ echo $aRec->reson; }else{ echo '-'; } ?></td> -->
                                    </tr> 
                                    <?php } ?>
                                    
                                    <tr>
                                        <th class="text-right" colspan="3">Total</th>
                                        <th class="text-center"><?php echo $total_loaded; ?></th>
                                        <th class="text-center"><?php echo $total_unloaded; ?></th>
                                        <th class="text-center"><?php echo $total_net; ?></th> 
                                        <!--<th class="text-center">-</th> 
                                         <th class="text-left"><?php //echo $total_old_weight; ?></th> 
                                        <th class="text-left">-</th>  -->
                                    </tr>

                                    <?php }else{ ?>

                                    <tr>
                                        <td colspan="8" class="text-center" style="color:red;">No Record Found.</td>
                                    </tr>
                                   <?php } ?>
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                   <?php //echo $weightData->links() ?>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection

